Loading...
Searching...
No Matches
etl::intrusive_forward_list< TValue, TLink >::iterator Class Reference

iterator. More...

`#include <intrusive_forward_list.h>`

## Public Member Functions

| iterator (const iterator &other)
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator= (const iterator &other)
pointer | operator& () const
pointer | operator-> () const

## Friends

class | intrusive_forward_list
class | const_iterator
bool | operator== (const iterator &lhs, const iterator &rhs)
bool | operator!= (const iterator &lhs, const iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::forward_iterator_tag, value_type >
typedef value_type | value_type
typedef ptrdiff_t | difference_type
typedef value_type * | pointer
typedef value_type & | reference
typedef ETL_OR_STD::forward_iterator_tag | iterator_category

## Detailed Description

template<typename TValue, typename TLink>
class etl::intrusive_forward_list< TValue, TLink >::iterator

iterator.

The documentation for this class was generated from the following file:

- include/etl/intrusive_forward_list.h